package com.rjconsultores.ventaboletos.dao;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.OperadorEmbarcada;
import com.rjconsultores.ventaboletos.entidad.PuntoVentaVO;

public interface OperadorEmbarcadaDAO extends GenericDAO<OperadorEmbarcada, Long> {

	public List<OperadorEmbarcada> buscarTodosOperadores();

	public OperadorEmbarcada burcarOperadorPorId(Long operadorEmbarcadaID);

	public OperadorEmbarcada buscarOperadorEmbarcadaPorUsuario(Integer idUsuario);

	public PuntoVentaVO getPuntoVentaVO(Integer operador);

}
